Snapvisor Docs

Subscribe to a build

Start receiving notifications about a build — new comments, reviews, and status changes. Clears a previous explicit unsubscription. Use it when the user wants to follow a build they are not already notified about.

POST
/projects/{owner}/{project}/builds/{buildNumber}/subscription

Start receiving notifications about a build — new comments, reviews, and status changes. Clears a previous explicit unsubscription. Use it when the user wants to follow a build they are not already notified about.

Authorization

AuthorizationBearer <token>

Authenticate as a user with a personal access token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <personal-access-token>

Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.

In: header

Path Parameters

owner*string
Length1 <= length
project*string
Length1 <= length
buildNumber*string

The build number

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/string/builds/string/subscription"
{  "subscribed": true}